<?php
/*
Template Name: About
*/
?>

<?php get_header(); ?>

<div id="about">

<div id="page-title">
	<h3 class="title">About</h2>
</div>

<div id="page-description">
	<p>Who's behind the Labs.</p>
</div>

<div id="content">
	
<div id="supercol-left">
	
	<!--Project-->
	<div class="col-span-two">
		<img class="project" src="<?php bloginfo('template_url'); ?>/gfx/about_labs_logo.gif" alt="Labs" />
	</div>
	<div class="col-span-six other">
		<h2 id="overview">About Us</h2>
		<p>Laboratories are where science and creativity meet to develop, research, and explore new ideas. Mozilla Labs embraces this great tradition — a virtual lab where people come together to create, experiment, and play with new Web innovations and technologies.</p>

		<p>Anything goes here. Crazy ideas and inspirations are encouraged as we all explore and experiment with brand new ideas in whole new ways. Mozilla Labs is about inspiring and harnessing the intelligence, wisdom, and energy of the Mozilla community; let’s imagine the future of the Web, and then let’s build it together.</p>

		<p>All are welcome. Come play.</p>
		
		<h3>Interested in Labs Projects?</h3>
		<p>Be sure to subscribe to the RSS feed on the main page or our mailing list.</p>
		<form method="post" action="https://lists.mozilla.org/subscribe/announce-labs">
        Enter your email address here to subscribe to our mailing list for announcements:</p>
		<input type="text" name="email" size="30"/>
		<input type="submit" name="email-button" value="Subscribe"/>
        </form>
		</p><br />
		
		<!--<h3>Staff</h3>
		<p>In addition to a large virtual team, we have a full-time dedicated staff focused on driving labs experiments and programs.
<ul style="margin-top: 0; padding-top: 0;">
<li><a href="http://cbeard.typepad.com">Chris Beard</a></li>
<li>Rhian Baker</li>
<li><a href="http://www.evilbrainjono.net/cgi-bin/blog/showblog.cgi">Jono DiCarlo</a></li>
<li><a href="http://www.melez.com/mykzilla/">Myk Melez</a></li>
<li><a href="http://blog.mozilla.com/thunder">Dan Mills</a></li>
<li>Aza Raskin</li>

<li><a href="http://dailythemes.wordpress.com/">Jay Sullivan</a></li>
<li>Atul Varma</li>
</ul>

</p>-->

		<h3>Career Opportunities</h3>
		<p>Interested in joining our team? Please visit our <a href="http://www.mozilla.com/en-US/about/careers.html">career opportunities page</a> for more information.</p>

		<h3>Press Contact</h3>
		<p>Please visit our <a href="http://www.mozilla.com/en-US/press/">press center page</a> for more information.</p>
	</div>
	
			
</div><!--end supercol-left-->
	
<div id="supercol-right">
<?php include(TEMPLATEPATH . '/sidebar_about.php'); ?>
</div><!--end supercol-right-->

<br clear="all" />	
</div><!--end content-->

</div>

<?php get_footer(); ?>
