<?php
/**
 * @package WordPress
 * @subpackage Labs_2.0
 */
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN">
<!-- v100421 11:00 -->

<html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title><?php bloginfo('name'); ?> <?php if ( is_single() ) { ?> &raquo; Blog Archive <?php } ?> <?php wp_title(); ?></title>
<link href="<?php bloginfo('stylesheet_url'); ?>" rel="stylesheet" type="text/css" media="screen">
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>">
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">
<link rel="icon" href="<?php bloginfo('template_directory'); ?>/favicon.png" type="image/png"> 

<?php wp_head(); ?>

<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/includes/font.js"></script>

<style type="text/css" media="screen">

  <?php if($headerBg = get_option('labs_homepage_header_image')) { ?>
        #pageheader {
            background-image: (<?php echo $headerBg ?>);
        }
    <?php } ?>

</style>
</head>

<?php if (is_home()) { ?>
<body id="home">
<?php } elseif (is_search()) { ?>
<body id="home" class="subpage search">
<?php } elseif (is_archive()) { ?>
<body id="home" class="subpage archive">
<?php } else { ?>
<body id="home" class="subpage">
<?php } ?>

<div id="blogBg">

	<div id="page">
		
		<div id="header">
		
			<div id="topnav">
			
			<h1 id="logo"><a href="/" title="Mozilla Labs homepage"><img src="<?php bloginfo('template_directory'); ?>/img/labs-logo.png" alt="labs-logo" width="161" height="34"></a></h1>
				
			<ul id="mainnav">
			<li><a href="/projects/">Projects</a></li>
			<li><a href="/hacks/">Hacks</a></li>
			<li><a href="/discussions/">Discussions</a></li>
			<li><a href="/get-involved/">Get Involved</a></li>
			<li><a href="/about/">About</a></li>
			</ul>
			
			<!-- <form id="search" action="<?php bloginfo('url'); ?>">
			<p><label for="searchfield">Search</label><input type="text" value="Search Labs" onfocus="value=''" onblur="value='Search Labs'" name="s" id="searchfield"></p>
			</form> -->
			
			</div> <!-- END topnav -->
			
			<div id="spotlight">
				
				<?php if ((!is_home())) { ?> 
				<?php } else { ?>

				<div id="pageheader">
					<span class="blurbTitle"><a href="/prospector/">Prospector</a></span>
					<div class="blurb">
						<p>A series of experiments from Mozilla Labs focused on analyzing, experimenting and prototyping improvements on how you search and discover content with Firefox. &raquo;</p>
					</div>
				</div> <!-- END FEATURED -->
				<div class="projects">
					<div class="project">
						<a href="/contacts/"><img src="<?php bloginfo('template_directory'); ?>/img/contacts-footer-s.png" alt="Test Pilot"></a>
						<div class="projectinfowrap">
							<div class="projectinfo">
								<h3><a href="/contacts/">Contacts</a></h3>
								<span>Enhancing your browser by making it aware of your online contacts and friend lists  &raquo;</span>
							</div>
						</div>
					</div>
					<div class="project">
						<a href="/gaming/"><img src="<?php bloginfo('template_directory'); ?>/img/gaming-footer-s.png" alt="Mozilla Labs Gaming"></a>
						<div class="projectinfowrap">
							<div class="projectinfo">
								<h3><a href="/gaming/">Gaming</a></h3>
								<span>Creating the platform to support immersive gaming on the Open Web &raquo;</span>
							</div>
						</div>
					</div>
					<div class="project">
						<a href="/skywriter/"><img src="<?php bloginfo('template_directory'); ?>/img/skywriter-footer-s.png" alt="Skywriter"></a>
						<div class="projectinfowrap">
							<div class="projectinfo">
								<h3><a href="/skywriter/">Skywriter</a></h3>
								<span>The Web-based code editor built upon HTML5 and Javascript &raquo;</span>
							</div>
						</div>
					</div>
				</div> <!-- END PROJECTS -->
				
				<?php } ?>
			
			</div> <!-- END SPOTLIGHT -->
		
		</div> <!-- END HEADER -->
